SplHeap::valid
SplMaxHeap::compare
SPL
PHP Manual

# The SplMaxHeap class

## Введение

The SplMaxHeap class provides the main functionalities of a heap, keeping the maximum on the top.

## Class synopsis

SplMaxHeap
class SplMaxHeap extends SplHeap implements Iterator , Countable {
/* Methods */
void compare ( mixed `$value1` , mixed `$value2` )
/* Inherited methods */
abstract int SplHeap::compare ( mixed `$value1` , mixed `$value2` )
int SplHeap::count ( void )
mixed SplHeap::current ( void )
mixed SplHeap::extract ( void )
void SplHeap::insert ( mixed `$value` )
bool SplHeap::isEmpty ( void )
mixed SplHeap::key ( void )
void SplHeap::next ( void )
void SplHeap::recoverFromCorruption ( void )
void SplHeap::rewind ( void )
mixed SplHeap::top ( void )
bool SplHeap::valid ( void )
}

## Содержание

- SplMaxHeap::compare — Compare elements in order to place them correctly in the heap while sifting up.

SplHeap::valid
SplMaxHeap::compare
SPL
PHP Manual